% A2_9

sys1=zpk([-3],[-1],2); T1=0.1; sys1d=c2d(sys1,T1);
sys2=3/8+tf([1],[2 0]); T2=1; sys2d=c2d(sys2,T2);
sys3=zpk([2],[-1+i*2 -1-i*2],1); T3=0.5; sys3d=c2d(sys3,T3);    
sys4=zpk([2 3],[-2 -3],1); T4=1; sys4d=c2d(sys4,T4);            % aus AP wird minimalphasiges System
sys5=zpk([2],[-1+i*2 -1-i*2],1); T5=2; sys5d=c2d(sys5,T5);      % sys3 mit zweiter Zeitkonstante
sys6=zpk([2 3],[-2 -3],1); T6=0.1; sys6d=c2d(sys6,T6);          % sys4 mit zweiter Zeitkonstante


% plots
for n=1:6
    figure(n);subplot(1,2,1);pzmap(eval(['sys',num2str(n)]),eval(['sys',num2str(n),'d']));
              subplot(1,2,2);step(eval(['sys',num2str(n)]),eval(['sys',num2str(n),'d']));
    % Analyse
    sys=eval(['sys',num2str(n)]);disp(' ');disp(['sys',num2str(n),':']);
    if real(pole(sys))<0
        disp('stabil');
        if real(zero(sys))<=0
            disp('minimalphasig');
        else disp('nicht-minimalphasig');
        end;
        if dcgain(sys)==1
            disp('stationr genau');
        else disp('nicht stationr genau');
        end;
    else disp('instabil');
    end;
    [om,d]=damp(sys);
    if d>=0
        if d<1
            disp('schwingfhig');
        else disp('nicht schwingfhig');
        end;
    end;
    sysd=eval(['sys',num2str(n),'d']);disp(['sys',num2str(n),'d:']);
    if abs(pole(sysd))<1
        disp('stabil');
        if abs(zero(sysd))<=1
            disp('minimalphasig');
        else disp('nicht-minimalphasig');
        end;
        if dcgain(sysd)==1
            disp('stationr genau');
        else disp('nicht stationr genau');
        end;
    else disp('instabil');
    end;
    [om,d]=damp(sysd);
    if d>=0 
        if d<1
            disp('schwingfhig');
        else disp('nicht schwingfhig');
        end;
    end;
end;

